Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogFactory

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.CatalogFactory

Deprecated

    @Deprecated
    public abstract class CatalogFactory

extends Object

Factory class to create Catalog-related objects. The catalog APIs that are aimed at end-users return immutable objects. This factory class can also be used to create mutable versions of those objects.

Method Summary
`static Category` | `createCategory(MutableCategory delegate)` Deprecated Creates an immutable Category object that uses a mutable delegate object.
`static KeywordQuery` | `createKeywordQuery()` Deprecated Creates a KeywordQuery object.
`static MutableCategory` | `createMutableCategory(Category category, boolean createCE)` Deprecated Creates a mutable Category object - by copying an immutable object.
`static MutableCategory` | `createMutableCategory(CategoryKey key, boolean createCE)` Deprecated Creates a mutable Category object for the category with the given key.
`static MutableProductItem` | `createMutableProductItem(ProductItem item, boolean createCE)` Deprecated Creates a MutableProductItem object based off an imutable object.
`static MutableProductItem` | `createMutableProductItem(ProductItemKey key, boolean createCE)` Deprecated Creates a MutableProductItem object for the item with the given key.
`static ProductItem` | `createProductItem(MutableProductItem delegate)` Deprecated Creates a ProductItem object by wrapping a mutable object in an immutable shell so that it is protected from updates.
`static ProductItemQuery` | `createProductItemQuery()` Deprecated Creates a ProductItemQuery object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createCategory

    public static Category createCategory(MutableCategory delegate)

  Deprecated
  Creates an immutable Category object that uses a mutable delegate object. The mutable object is wrapped in an immutable shell so that it is protected from updates.

  Parameters
    `delegate` - The delegate Category object.

### createMutableCategory

    public static MutableCategory createMutableCategory(CategoryKey key,
                                                        boolean createCE)

  Deprecated
  Creates a mutable Category object for the category with the given key. A MutableCategory can be modified through its setter methods.

  Parameters
    `key` - the key for the object

### createMutableCategory

    public static MutableCategory createMutableCategory(Category category,
                                                        boolean createCE)

  Deprecated
  Creates a mutable Category object - by copying an immutable object.

  Parameters
    `key` - the key for the object

### createProductItem

    public static ProductItem createProductItem(MutableProductItem delegate)

  Deprecated
  Creates a ProductItem object by wrapping a mutable object in an immutable shell so that it is protected from updates.

  Parameters
    `delegate` - The delegate ProductItem object.

### createMutableProductItem

    public static MutableProductItem createMutableProductItem(ProductItemKey key,
                                                              boolean createCE)

  Deprecated
  Creates a MutableProductItem object for the item with the given key.

  Parameters
    `key` - the key for the object

### createMutableProductItem

    public static MutableProductItem createMutableProductItem(ProductItem item,
                                                              boolean createCE)

  Deprecated
  Creates a MutableProductItem object based off an imutable object. The immutable object is copied to ensure the same reference is not modified.

  Parameters
    `item` - the immutable object

### createKeywordQuery

    public static KeywordQuery createKeywordQuery()

  Deprecated
  Creates a KeywordQuery object.

### createProductItemQuery

    public static ProductItemQuery createProductItemQuery()

  Deprecated
  Creates a ProductItemQuery object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.